
Figure - 开发 Dev #117829
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110672 (New): 【MK】【003】【stability】【TC-RID: 1200-0800307】系统稳定性

开发 Dev # 117826 (New): 【MK】【003】【stability】【TC-RID: 1200-0800307】异常恢复机制

【MK】【003】【stability】【TC-RID: 1200-0800307】存储空间满的恢复策略
2023-05-08 21:56 - CD TPM-王祥林

Status: 完成 Closed Start date: 2023-05-08

Priority: Normal Due date:

Assignee: CD FW 曹覃刚 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Description

系统设置监控系统存储使用量，当小于某个值后（10G），弹窗提示客户清理存储。

History

#1 - 2023-05-10 18:02 - CD FW 曹覃刚

- Status changed from New to 进行中 In Progress

- % Done changed from 0 to 30

当前进展

原生对于这个功能有实现，但是不满足我们的需求

下一步计划

在原生的基础上修改调整

#2 - 2023-05-12 10:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199471 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Stability: Add notification alert for low memory for hht.TC-RID: 1200-0800307IssueID: TS-R-DF-117829Change-Id:

I8efcf0562c203010b3b697929ce9b35b56f464ef

#3 - 2023-05-12 10:16 - CD FW 曹覃刚

- Status changed from 进行中 In Progress to 完成 Closed

- % Done changed from 30 to 100

下列与需求浩云讨论之后的功能已实现并合入

------------------

系统达到对应的空间使用率时，通知中心出现下列通知

1.
存储空间不足，已使用85%

空间已使用85%，点击即可管理空间

2.

存储空间不足，已使用95%

某些系统功能可能无法正常使用

3.

存储空间已满

某些系统功能可能无法正常使用

注:

通知可以手动移除

使用率level没有变化时，通知不会重复发送

使用率level降低，少于85%时，若通知存在，通知将被移除

点击通知会进入系统原生的存储空间管理器中，行为保持和原生一致，不做定制

发送的通知用户可以删除

#4 - 2023-05-12 10:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199635 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Stability: Add hide annotation for storage level definitionTC-RID: 1200-0800307IssueID: TS-R-DF-117829Change-Id:

Ic2361010660a0c0cece541ef201eedb88b564b39

#5 - 2023-08-02 14:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

219470 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Stability:Inconsistent storage size displayed for notification and settingsTC-RID: 1200-0800307IssueID: TS-R-DF-117829,IOVDEV-38326Change-Id:

Iaa020e2816e1892a4cbb5b36b70980b48c76e565

#6 - 2023-08-04 10:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

300132 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Stability:Inconsistent storage size displayed for notification and settingsTC-RID: 1200-0800307IssueID: TS-R-DF-117829,IOVDEV-38326Change-Id:

Iaa020e2816e1892a4cbb5b36b70980b48c76e565(cherry picked from commit bd7d462dbdcb7f8995942cb1af9b1d7e391751e7)
